| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRegExpMatch Struct Reference

Information about (sub)expression matches. More...

`#include <csutil/regexp.h>`

List of all members.

## Public Attributes
size_t | endOffset
| Offset to the end of the match from the beginning of the string to match against.
size_t | startOffset
| Offset to the match from the beginning of the string to match against.

## Detailed Description

Information about (sub)expression matches.

Definition at line 131 of file regexp.h.

## Member Data Documentation

size_t csRegExpMatch::endOffset

Offset to the end of the match from the beginning of the string to match against.

Definition at line 139 of file regexp.h.

size_t csRegExpMatch::startOffset

Offset to the match from the beginning of the string to match against.

Definition at line 134 of file regexp.h.

The documentation for this struct was generated from the following file:

- csutil/regexp.h